<?php
/**
 * TOP API: alibaba.alihealth.drugtrace.top.yljg.query.upbillcode request
 * 
 * @author auto create
 * @since 1.0, 2025.03.04
 */
class AlibabaAlihealthDrugtraceTopYljgQueryUpbillcodeRequest
{
	/** 
	 * 追溯码
	 **/
	private $code;
	
	/** 
	 * 企业ID （一般为要查询单据的收货企业）
	 **/
	private $refEntId;
	
	private $apiParas = array();
	
	public function setCode($code)
	{
		$this->code = $code;
		$this->apiParas["code"] = $code;
	}

	public function getCode()
	{
		return $this->code;
	}

	public function setRefEntId($refEntId)
	{
		$this->refEntId = $refEntId;
		$this->apiParas["ref_ent_id"] = $refEntId;
	}

	public function getRefEntId()
	{
		return $this->refEntId;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.drugtrace.top.yljg.query.upbillcode";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
	
	public function check()
	{
		
	}
	
	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
